#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mi )

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/languages/lib/debugger
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE kdevdebugger.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevdebugger.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdebugger )


##### libkdevdebugger (module) ##################

tde_add_kpart( libkdevdebugger AUTOMOC
  SOURCES
    debuggerdcopinterface.skel debuggerpart.cpp
    dbgcontroller.cpp gdbcontroller.cpp gdbcommand.cpp
    gdbparser.cpp stty.cpp breakpoint.cpp
    variablewidget.cpp gdbbreakpointwidget.cpp
    framestackwidget.cpp disassemblewidget.cpp memviewdlg.cpp
    dbgpsdlg.cpp dbgtoolbar.cpp debuggerconfigwidget.cpp
    debuggerconfigwidgetbase.ui debuggertracingdialogbase.ui
    gdboutputwidget.cpp gdbtable.cpp debuggertracingdialog.cpp
    label_with_double_click.cpp
  LINK gdbmi_parser-shared lang_debugger-shared kdevwidgets-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
